Subject: Mesa/GLUT Libraries for B20.1 Available
From: [email-masked] (Brian P Kasper)

30 Jan 1999 00:21:23 -0800
Message-ID: <0399236B1E137138*/c=us/admd=0/prmd=aero/o=notes/s=Kasper/g=Brian/i=P/.cygnus.gnu-win32@MHS>
To: [email-masked]

I recently compiled Mesa 3.0 and GLUT 3.7
with the B20.1 Cygwin compiler.  I had some
worries at first that they might be buggy,
since overlay planes don't work correctly,
but apparently Mesa doesn't support overlay
planes (which makes sense, as that would pretty
much require hardware support).

So, ignoring overlays for the moment, the
libraries work.  I'd like to make them available
to the Cygwin community, but I don't yet have an
anonymous FTP site to which I can post the libs.

I've had one person volunteer to put the libs
on his web site, but I was wondering if anyone
else would like to host the files, or perhaps
would like me to send them via email.

I have two gzipped tar files, mesa30.tgz and
glut37.tgz.  These contain the libraries

libgle.a
libglsmap.a
libglut.a
libMesaGL.a
limMesaGLU.a
libmui.a

and the associated headers.  I haven't done any
testing with the mui lib, but all the standard tests
in the GLUT-3.7 distribution run.

I've also created dinotest.tgz, which contains everything
in mesa30.tgz and glut37.tgz, as well as the source code
for glxdino and a script to compile and link the code.  To
create a working GLUT program, you must merely type

tar xvfz dinotest.tgz
cd dinotest
../makeit
../glxdino

The only assumption the compilation and linking make is that
you have your B20.1 X11 stuff set up in /usr/X11R6, but it
shouldn't be hard to change the script to match your
configuration if you must.

The tar archives don't install the libs into your X11 hierarchy,
but all you have to do is copy the contents of the "include" and
"lib" directories to your X11 include and lib directories.  To
make compiling straightforward, you can create the symbolic links

libMesaGL.a  --> libGL.a
libMesaGLU.a --> libGLU.a

Please email me if you're interested.

-Brian Kasper
 [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".